## DELETE /management/v2.0/organisations/{organisationId}

### Delete an Organization

#### cURL

```bash
curl --request DELETE \
  --url https://api-trial.cognigy.ai/new/management/v2.0/organisations/{organisationId} \
  --header 'Authorization: Basic <encoded-value>'
```

### Code Examples

#### Python
```python
import requests

url = "https://api-trial.cognigy.ai/new/management/v2.0/organisations/{organisationId}"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.delete(url, headers=headers)

print(response.text)
```

#### JavaScript (Fetch)
```javascript
const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api-trial.cognigy.ai/new/management/v2.0/organisations/{organisationId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP
```php


```

### Possible Responses

| Status Code | Description |
|-------------|-------------|
| 400         | Bad Request |
| 401         | Unauthorized |
| 402         | Payment Required |
| 403         | Forbidden |
| 404         | Not Found |
| 405         | Method Not Allowed |
| 409         | Conflict |
| 413         | Payload Too Large |
| 500         | Internal Server Error |
| 501         | Not Implemented |
| 502         | Bad Gateway |
| 503         | Service Unavailable |
| 504         | Gateway Timeout |

### Error Response Example

```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

### Authorization

**Authorization**
- **Type:** string
- **In:** header
- **Required:** Yes  
- **Description:** Basic Authentication used by routes designed for the Management-UI.

### Headers

- **Accept** (enum<string>)  
  The `Accept` header specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.

### Path Parameters

- **organisationId** (string)  
  The Id of the Organisation  
  - **Required string length:** 24  
  - **Pattern:** `^[a-z0-9]{24}$`

### Query Parameters

- **verificationToken** (string)  
  Required.
